<?php if (!defined('PmWiki')) exit();
/**
 * skin.php
 * @author V.Krishn (vkrishn@insteps.net), Copyright 2005-2014
 * @note This file is part of Skin "notebook-nt" for PmWiki;
 * You can redistribute it and/or modify it under the terms of the
 * GNU General Public License as published by the  Free Software
 * Foundation; either version 2 of the License, or (at your option)
 * any later version. @see pmwiki.php for full details.
 *
 * @category pmwiki/skins
 * @package notebook-nt
 * @copyright Copyright (c) 2005-2014 V.Krishn (vkrishn@insteps.net)
 * @license GPL
 * @version 2.3.0
 */

## To handle (:noleft:) and (:noright:) directives on pages,
if(function_exists('Markup_e')) {
  # new format, no /e , IMPORTANT: pmwiki-2.2.58+ and php 5.5x
  Markup('noleft', 'directives','/\\(:noleft:\\)/i', "callback_skin_notebook_nt_setNoSidebar");
  Markup('noright', 'directives','/\\(:noright:\\)/i', "callback_skin_notebook_nt_setNoSidebar");
} else {
  /* old format, for pmwiki < 2.2.58
     if using php 5.5x see pmwiki documentation as how to suppress
       deprecated preg_replace errors. */
  Markup('noleft', 'directives','/\\(:noleft:\\)/ei', "skin_notebook_nt_setNoSidebar('left')");
  Markup('noright', 'directives','/\\(:noright:\\)/ei', "skin_notebook_nt_setNoSidebar('right')");
}

function callback_skin_notebook_nt_setNoSidebar ($m) {
  $_t = ''; $_t = trim(preg_replace('/[\:\(\)]/', '', $m[0]));
  if('noleft' === $_t) { return skin_notebook_nt_setNoSidebar('left'); }
  if('noright' === $_t) { return skin_notebook_nt_setNoSidebar('right'); }
}

function skin_notebook_nt_setNoSidebar($side='left') {
  global $HTMLStylesFmt;
  if($side === 'left') {
    SetTmplDisplay('PageLeftFmt',0);
    $HTMLStylesFmt['skin_notebook_nt_setNoSidebar'] = "\n /* with no sidebar */
      .sidebar-left { float:none; border-right:0px solid #cccccc; }
      .main-container-right { margin-left:0px; border-left:0px solid #cccccc; }
    ";
  }
  if($side === 'right') {
    SetTmplDisplay('PageRightFmt',0);
    $HTMLStylesFmt['skin_notebook_nt_setNoSidebar'] = "\n /* with no sidebar */
      .sidebar-right { float:none; border-left:0px solid #cccccc; }
      .main-container-left { margin-right:0px; border-right:0px solid #cccccc; }
    ";
  }
}

if(0 === $GLOBALS['TmplDisplay']['PageLeftFmt']) { skin_notebook_nt_setNoSidebar('left'); }
if(0 === $GLOBALS['TmplDisplay']['PageRightFmt']) { skin_notebook_nt_setNoSidebar('right'); }

